Retrieve a segment by ID.
curl --request GET \
--url https://api.topsort.com/public/v1/segment-service/segments/{segment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments/{segment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>",
"id": "<string>",
"total": 123,
"config": {
"type": "user-list"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
Retrieve a segment by ID.
Retrieve a segment by its external ID.
GET
/
public
/
v1
/
segment-service
/
segments
/
{segment_id}
Retrieve a segment by ID.
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
The external ID of the segment.
Response
Successful Response
Name of the segment.
Maximum string length:
64Description of the segment.
Maximum string length:
400ID of the segment.
User count of the segment.
Public segment configuration.
- PublicUserListSegmentConfig
- PublicBehavioralSegmentConfig
- PublicCombinedSegmentConfig
Show child attributes
Show child attributes
Was this page helpful?